Android and iOS Users Must Upgrade RSA SecurID Authenticate 2.x App to Version 3.5 by August 1, 2020

Document created by RSA Product Team Employee on Jun 23, 2020
Version 1Show Document
  • View in full screen mode
Summary:

RSA is continually enhancing RSA SecurID Access by adding new features and keeping up-to-date with security best practices. To keep up with these changes, users with RSA SecurID Authenticate 2.x for Android or iOS must upgrade to Version 3.5 by August 1, 2020. After this date, 2.x users might not be able to authenticate. Upgrading to 3.5 offers many benefits, as described in these Release Notes.

For Android users, RSA SecurID Authenticate 3.5 requires devices with Android 6.x or later. Therefore, users with Android 5.x or earlier must upgrade to at least Android 6.x before downloading 3.5. If they cannot upgrade their existing devices, they must obtain replacement devices that support Android 6.x or later.

The following table shows which users must take action.

PlatformUser Action
Android with Authenticate app 2.xUsers must upgrade to 3.5 by August 1, 2020. Devices with Android 6.x or later required.
Android with Authenticate app 3.xNo action required.
iOS with Authenticate app 2.xUsers must upgrade to 3.5 by August 1, 2020.
iOS with Authenticate app 3.xNo action required.
WindowsNo action required.
EOPS Policy:RSA has a defined End of Primary Support policy associated with all major versions. Please refer to the Product Version Life Cycle for additional details.

Attachments

    Outcomes